package common.block.foliage;

import common.block.Block;
import common.block.Material;
import common.model.BlockLayer;

public class BlockLeavesBase extends Block
{
//    public static final List<BlockLeavesBase> BASE_LEAVES = Lists.newArrayList();
    
//    protected boolean transparent;

    public BlockLeavesBase(Material materialIn)
    {
        super(materialIn);
//        BASE_LEAVES.add(this);
    }

//    public boolean shouldSideBeRendered(IWorldAccess worldIn, BlockPos pos, Facing side)
//    {
//        return !this.transparent && worldIn.getBlockState(pos).getBlock() == this ? false : super.shouldSideBeRendered(worldIn, pos, side);
//    }
    
//    public void setTransparent(boolean transparent)
//    {
//        this.transparent = transparent;
//    }

    public BlockLayer getBlockLayer()
    {
        return /* this.transparent ? */ BlockLayer.CUTOUT_MIPPED; // : BlockLayer.SOLID;
    }

    public boolean isVisuallyOpaque()
    {
        return false;
    }
    
    public boolean isOpaqueCube()
    {
        return false; // !this.transparent;
    }
}
